function millerVector = selectMillerVector
% select a Miller vector
%
% THIS IS NO USER FUNCTION

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2013 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.

millerVector = [];
while isempty(millerVector)
    try
        millerVector = input('  Enter vector: ');
    catch thisError
        warning(thisError.message)
    end
    if isempty(millerVector) || ~isnumeric(millerVector) || ...
            ~(length(millerVector) == 3)
        warning('Input format invalid, expecting a vector of length 3');
        millerVector = [];
    end
end